Subject: Re: bug#57447: 28.1.90; Can font-lock stop requesting fontification of invisible text?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Aug 2022 14:17:20 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked]
> Date: Sat, 27 Aug 2022 19:11:52 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> then it does not always hold:
> >
> > How did you collect the BEG and END values?  FWIW, I don't see
> > anything in jit-lock that enlarges the chunk size, except perhaps in
> > the stealth-fontification case, which you didn't activate?
> 
> BEG and END in my data are calculated when matching a font-lock-keyword.
> BEG is (point) when the keyword function is called and END is the LIMIT.

Then I guess the reason for this is in font-lock code, not in
jit-lock.el nor in the display engine.  I guess extending the region
to include whole lines could be the reason?